# socket.h File Reference

## Detailed Description

Class wrapper to encapsulate the Blackberry USB logical socket.

Definition in file socket.h.

`#include "dll.h"`
`#include <stdint.h>`
`#include <queue>`
`#include <memory>`
`#include "router.h"`

Include dependency graph for socket.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Usb
namespace | Barry

## Classes

class | Barry::SocketZero
class | Barry::Socket
| Encapsulates a "logical socket" in the Blackberry USB protocol. More...